/* Blinker
   Copyright 2011-2019 Stefan Schuermans <stefan@blinkenarea.org>
   Copyleft GNU public license - http://www.gnu.org/copyleft/gpl.html
   a blinkenarea.org project */

#include <sstream>
#include <string>

#include "UInt.h"
#include "StringParser.h"

namespace Blinker {

/// constructor
UInt::UInt():
  m_uint(0)
{
}

/**
 * @brief parse from string format
 * @param[in] str string format
 * @return if parsing was successful
 */
bool UInt::fromStr(const std::string &str)
{
  StringParser parser(str);
  unsigned int uint;

  if (!parser.uintNo(uint) ||
      !parser.isDone())
    return false;
  m_uint = uint;
  return true;
}

/**
 * @brief convert to string format
 * @return string format
 */
std::string UInt::toStr() const
{
  std::stringstream strm;
  strm << m_uint;
  return strm.str();
}

} // namespace Blinker

